Subject: bug#16604: 24.3.50; False negatives in lisp-completion-at-point

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Feb 2014 09:12:14 -0500

> Pity. It's a regression compared to company-elisp, as far as I'm concerned.

You can still use company-elisp in the mean time.

>> I also think it should be configurable (I definitely prefer the
>> current behavior; in my use cases your behavior makes the
>> lisp--local-variables-completion-table pretty much useless because
>> there's almost always some other global variable that starts with
>> a similar prefix).
> True, lisp--local-variables-completion-table is less useful this way, but it
> still plays a part when the binding form hasn't been evaluated yet, and so
> the local variable symbols aren't yet in obarray.

I guess it's true that if you choose among a list of completions (or
if you use completion cycling), the extra elements from obarray aren't
nearly as problematic as if you rely on just "plain completion".

        Stefan